# Uses of Interface
org.eclipse.birt.chart.model.data.NumberDataElement

Packages that use NumberDataElement
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of NumberDataElement in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return NumberDataElement
Modifier and Type
Method
Description
`NumberDataElement`
NumberDataElement.`copyInstance()`
`NumberDataElement`
DataFactory.`createNumberDataElement()`
Returns a new object of class 'Number Data Element'.

## Uses of NumberDataElement in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement NumberDataElement
Modifier and Type
Class
Description
`class`
`NumberDataElementImpl`
An implementation of the model object ' Number Data Element'.
Methods in org.eclipse.birt.chart.model.data.impl that return NumberDataElement
Modifier and Type
Method
Description
`NumberDataElement`
NumberDataElementImpl.`copyInstance()`
`static final NumberDataElement`
NumberDataElementImpl.`create(double dValue)`
A convenience method provided to return an initialized NumberDataElement
`NumberDataElement`
DataFactoryImpl.`createNumberDataElement()`